Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 217030 - [HPPA] sys-kernel/gentoo-sources-2.6.24-r4 and vanilla-sources-2.6.24.4 fail to boot
Summary: [HPPA] sys-kernel/gentoo-sources-2.6.24-r4 and vanilla-sources-2.6.24.4 fail ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL: http://git.kernel.org/?p=linux/kernel...
Whiteboard: insvn
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-09 16:23 UTC by Jeroen Roovers
Modified: 2008-04-19 21:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
futex special case cmpchg patch from mainline (futex_cmpxchg_inatomic_impl_check.patch,879 bytes, patch)
2008-04-14 23:49 UTC, Mike Pagano
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2008-04-09 16:23:48 UTC
Both stop right after printing "console handover" from ttyB0 to tty0 (while all this is visible on tty0). Versions 2.6.24-r3 and 2.6.24.3 are fine.
Comment 1 Jeroen Roovers gentoo-dev 2008-04-09 16:56:28 UTC
console handover: boot [ttyB0] -> real [tty0]
Comment 2 Guy Martin (RETIRED) gentoo-dev 2008-04-11 16:46:27 UTC
If you let it boot on ttyS0 you see the actual panic :

Linux version 2.6.24-gentoo-r4 (root@hope) (gcc version 4.1.2 (Gentoo 4.1.2 p1.0.2)) #1 Fri Apr 11 18:29:24 CEST 2008                                                                                               


TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
unwind_init: start = 0x10493750, end = 0x104c3bc0, entries = 12359
Backtrace:
 [<10587970>] init+0x20/0xc4
 [<105807e0>] kernel_init+0xf4/0x328
 [<10109c5c>] ret_from_kernel_thread+0x1c/0x24


Kernel Fault: Code=26 regs=8fc241c0 (Addr=00000000)

     YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
PSW: 00000000000001001111111100001111 Not tainted
r00-03  0004ff0f 104fc140 10587970 f0412000
r04-07  00000000 105b57c0 00000000 00000000
r08-11  00000000 1059b810 105b5810 104c3810
r12-15  10568810 1059b810 8fc24088 3b9aca00
r16-19  f00008c4 f000017c f0000174 00000000
r20-23  00004000 000007ff 10587950 00000001
r24-27  00000000 00000000 00000000 104c6010
r28-31  8fc24000 c99f4bdd 8fc241c0 105807e0
sr00-03  00000000 00000000 00000000 00000000                                                                                                                                                                        
sr04-07  00000000 00000000 00000000 00000000                                                                                                                                                                        
                                                                                                                                                                                                                    
IASQ: 00000000 00000000 IAOQ: 101433b8 101433bc                                                                                                                                                                     
 IIR: 0f401089    ISR: 00000000  IOR: 00000000                                                                                                                                                                      
 CPU:        0   CR30: 8fc24000 CR31: 11111111                                                                                                                                                                      
 ORIG_R28: 55555555                                                                                                                                                                                                 
 IAOQ[0]: cmpxchg_futex_value_locked+0x28/0x9c                                                                                                                                                                      
 IAOQ[1]: cmpxchg_futex_value_locked+0x2c/0x9c                                                                                                                                                                      
 RP(r2): init+0x20/0xc4                                                                                                                                                                                             
Kernel panic - not syncing: Kernel Fault   



No clue so far where it comes from. I'll see if it was fixed upstream.
Comment 3 Guy Martin (RETIRED) gentoo-dev 2008-04-14 21:06:49 UTC
This patch solves the issue :
http://git.kernel.org/?p=linux/kernel/git/kyle/parisc-2.6.git;a=commit;h=c20a84c91048c76c1379011c96b1a5cee5c7d9a0


Kernel ppl, please commit.
Comment 4 Mike Pagano gentoo-dev 2008-04-14 23:49:30 UTC
Created attachment 149757 [details, diff]
futex special case cmpchg patch from mainline

Did you apply, compile and test this patch on linux-2.6.24-r5?
Comment 5 Jeroen Roovers gentoo-dev 2008-04-15 01:04:33 UTC
(In reply to comment #4)
> Created an attachment (id=149757) [edit]
> futex special case cmpchg patch from mainline
> 
> Did you apply, compile and test this patch on linux-2.6.24-r5?

It fixes -r4 in that it applies, compiles and that the kernel actually runs now, instead of, well not running as it was (not) doing before patching. It applies to -r5 as well, and compiling and booting should be a matter of hours.
 Meanwhile, I see no problem in correcting the issue for -r4.
Comment 6 Jeroen Roovers gentoo-dev 2008-04-15 01:16:04 UTC
Obligatory uname -a:
Linux elmer 2.6.24-gentoo-r4-JeR #4 Tue Apr 15 02:42:49 CEST 2008 parisc PA8700 (PCX-W2) 9000/785/C3650 GNU/Linux
Comment 7 Mike Pagano gentoo-dev 2008-04-15 01:18:29 UTC
(In reply to comment #5)
> It fixes -r4 in that it applies, compiles and that the kernel actually runs
> now, instead of, well not running as it was (not) doing before patching. It
> applies to -r5 as well, and compiling and booting should be a matter of hours.
>  Meanwhile, I see no problem in correcting the issue for -r4.
> 

Good enough, Jeroen.  You don't have to test -r5
Comment 8 Guy Martin (RETIRED) gentoo-dev 2008-04-19 12:11:42 UTC
Quick note on this one, 2.6.25 integrates this patch.
Comment 9 Daniel Drake (RETIRED) gentoo-dev 2008-04-19 21:19:47 UTC
also fixed in gentoo-sources-2.6.24-r6 / genpatches-2.6.24-7